AuthSchemeBase (HttpClient Library (Version 3.1))
Date: 2016-03-09

org.apache.commons.httpclient.auth

## Class AuthSchemeBase

- java.lang.Object
- - org.apache.commons.httpclient.auth.AuthSchemeBase

- All Implemented Interfaces:
    AuthScheme

  Deprecated.
  No longer used

      public abstract class AuthSchemeBase
      extends java.lang.Object
      implements AuthScheme

  Abstract authentication scheme class that implements `AuthScheme` interface and provides a default contstructor.

  Author:
    Oleg Kalnichevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthSchemeBase(java.lang.String challenge)` Deprecated. Use parameterless constructor and `AuthScheme.processChallenge(String)` method

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Deprecated.
    `int` | `hashCode()` Deprecated.
    `java.lang.String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.httpclient.auth.AuthScheme

      `authenticate, authenticate, getID, getParameter, getRealm, getSchemeName, isComplete, isConnectionBased, processChallenge`

- - ### Constructor Detail

    - #### AuthSchemeBase

          public AuthSchemeBase(java.lang.String challenge)
                         throws MalformedChallengeException

      Deprecated. Use parameterless constructor and `AuthScheme.processChallenge(String)` method
      Constructor for an abstract authetication schemes.
      Parameters:
        `challenge` - authentication challenge
      Throws:
        `MalformedChallengeException` - is thrown if the authentication challenge is malformed

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Deprecated.
      Overrides:
        `equals` in class `java.lang.Object`
      See Also:
        `Object.equals(Object)`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `java.lang.Object`
      See Also:
        `Object.hashCode()`

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`
      See Also:
        `Object.toString()`

Copyright (c) 1999-2005 - Apache Software Foundation